#ifndef FT_MINISHELL
# define FT_MINISHELL
# include "libftx/libftx.h"
# include "utils/utils.h"
# include <sys/types.h>
# include <sys/stat.h>
# include <fcntl.h>

int	ft_file_is_readable(char *path);
int	ft_file_is_writeable(char *path);
t_list	**init_env(char **env);
char	*get_value_index(int index, t_list **head);
char	*get_value_key(char *key, t_list **head);

typedef struct cmd
{
	int	fd_in;
	int	fd_out;
	char	*cmd;
	char	*args;
} cmd;

typedef struct s_data
{
	t_list	**env;
}	t_data;

#endif
